\documentclass[a4paper, onesided,11pt,openany]{amsbook}


\usepackage{packages/generalpackages}

%title of the document
\title{Algebra 1\\\vspace{.25cm}\small Introduction to Commutative Algebra\\ \vspace{.5cm}\large \normalfont \textit{Lecture Notes, Summer 2019}}

\usepackage{packages/generalstyles}

\usepackage{packages/theoremstyles}

\usepackage{packages/mathsymbols}

\begin{document}
\maketitle
\tableofcontents
\include{generalpurpose/intro}
\include{lectures/1}
\include{lectures/2}
\include{lectures/3}
\include{lectures/4}
\include{lectures/5}
\include{lectures/6}
\include{lectures/7}
\include{lectures/8}
\include{lectures/9}
\include{lectures/10}
\include{lectures/11}
\include{lectures/12}
\include{lectures/13}
\include{lectures/14}
\include{lectures/15}
\include{lectures/16}
\include{lectures/17}
\include{lectures/18}
\include{lectures/19}
\include{lectures/20}
\include{lectures/21}
\include{lectures/22}
\include{lectures/23}
\appendix
\include{appendix/rings}
\include{appendix/categories}
%\include{appendix/modules_additions}
\bibliography{generalpurpose/lit}
\printindex
\end{document}
